<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE project>
<project>
  <pomVersion>3</pomVersion>
  <extend>${basedir}/../../etc/project.xml</extend>

  <name>ActiveMQ :: Web</name>
  <id>activemq-web</id>
  <description>Web Connector for REST API and Streamlets support</description>
  <shortDescription>Web Connector for REST API and Streamlets support</shortDescription>

  <package>org.activemq.web</package>
  <packageGroups>
    <packageGroup>
      <title>Web Connector for REST API and Streamlets support</title>
      <packages>org.activemq.web</packages>
    </packageGroup>
  </packageGroups>


  <!-- ============ -->
  <!-- Dependencies -->
  <!-- ============ -->
  <dependencies>

    <dependency>
      <groupId>geronimo-spec</groupId>
      <artifactId>geronimo-spec-servlet</artifactId>
      <version>${geronimo_spec_servlet_version}</version>
      <properties>
        <war.bundle>false</war.bundle>
        <!-- <eclipse.dependency>true</eclipse.dependency> -->
      </properties>
    </dependency>

    <dependency>
      <groupId>activemq</groupId>
      <artifactId>activemq-core</artifactId>
      <version>${pom.currentVersion}</version>
      <properties>
        <war.bundle>true</war.bundle>
        <eclipse.dependency>truex</eclipse.dependency>
      </properties>
    </dependency>
    <dependency> <!-- Used for unit tests -->
      <groupId>activemq</groupId>
      <artifactId>activemq-core-test</artifactId>
      <version>${pom.currentVersion}</version>
    </dependency>

    <!-- For Spring servlet -->
    <dependency>
      <id>springframework</id>
      <artifactId>spring</artifactId>
      <version>${spring_version}</version>
      <url>http://www.springframework.org</url>
      <properties>
        <war.bundle>true</war.bundle>
      </properties>
    </dependency>
  </dependencies>

</project>
